Commit de26da35 authored by Philipp Winter's avatar Philipp Winter Committed by Ana Custura
Browse files

Add install_requires to setup.py.



To make this work, we also had to replace distutils with setuptools
because distutils does not understand the install_requires keyword.
Co-authored-by: default avatarAna Custura <ana@netstat.org.uk>
parent f41774d4
#!/usr/bin/env python3
from distutils.core import setup
from setuptools import setup
with open('requirements.txt') as f:
install_requires = f.readlines()
setup(name='OnionPerf',
version='0.2.pre',
......@@ -9,4 +12,5 @@ setup(name='OnionPerf',
url='https://github.com/robgjansen/onionperf/',
packages=['onionperf'],
scripts=['onionperf/onionperf'],
install_requires=install_requires
)
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment